﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.Common;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.EffiProz;

namespace Sample_Web
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //string connString = "Connection Type=Memory ; Initial Catalog=TestDB; User=sa; Password=;";
            string connString = "Connection Type=File ; Initial Catalog=|DataDirectory|/Efz/TestDB; User=sa; Password=;";

            using (DbConnection conn = new EfzConnection(connString))
            {
                conn.ConnectionString = connString;
                conn.Open();

                DbCommand command = conn.CreateCommand();
                command.CommandText = "DROP TABLE Test IF EXISTS; CREATE TABLE Test(ID INT PRIMARY KEY, Name VARCHAR(100));";
                command.ExecuteNonQuery();

                command.CommandText = "INSERT INTO Test(ID , Name) VALUES(@ID , @Name);";
                DbParameter id = command.CreateParameter();
                id.ParameterName = "@ID";
                id.Value = 1;
                command.Parameters.Add(id);

                DbParameter name = command.CreateParameter();
                name.ParameterName = "@NAME";
                name.Value = "Van";
                command.Parameters.Add(name);
                command.ExecuteNonQuery();

                id.Value = 2;
                name.Value = "Car";
                command.ExecuteNonQuery();

                command.CommandText = "SELECT * FROM TEST;";
                DbDataReader reader = command.ExecuteReader();

                while (reader.Read())
                {
                    infoTextBox.Text += " *******  "+  (String.Format("ID= {0} , Name= {1}",
                        reader.GetInt32(0), reader.GetString(1)));
                }

               

            }

        }
    }
}
